Subject: Re: Problems after upgrading to 1.5.19-4
From: "Timothy King" <[email-masked]>
To: "Larrie Carr" <[email-masked]>
Cc: [email-masked]
Date: Wed, 8 Mar 2006 22:27:12 -0800

On 3/8/06, Larrie Carr <[email-masked]> wrote:
> From: "Timothy King"
> > Last night, I grabbed an additional package using setup.exe.  It also
> > downloaded and installed the latest cygwin1.dll (1.5.19-4) and core
> > utilities.  I had not updated since early January.  While it was running
> > the post-install script, I received serveral errors along the lines of
> > "... could not be found in cygwin1.dll".  I rebooted, and now when I run
> > the bash shell, it drops me in /usr/bin and I have no Cygwin directories
> > in my path (/bin, /usr/bin).  Also, my term colors are now messed up.
> >
> > I did a diff on the /etc and /home directories which I had backed up, but
> > there were no differences in the config files.  I also did not find any
> > other cygwin1.dll's on my system. It is interesting to note I have the
> > cygwin sshd running on that machine, and when I ssh into it I have no
> > problems with paths or term colors.
> >
> > This is running on Windows XP Pro.  I know my way around Unix but I know
> > little about how the Cygwin shell runs on windows.  I tried adding the
> > Cygwin paths in my .bashrc, but now it barfs on the spaces in the Windows
> > directory names.
> >
> > Any help would be appreciated.
> >
> > Tim
>
> I had this problem a couple of months ago.  My problem was caused by the
> setup.exe being very helpful and (at least for me) defaulting to always
> installing the latest version of anything you already had installed.  And if
> you don't look at the right page, you don't know this is happening.
>
> So normally  I don't exit out of all my cygwin stuff when I am just
> installing a simple package (like octave).  But for that one moment,
> setup.exe decided that the cygwin dll, et al had to be touched.
>
> If you attempt to updated cygwin when cygwin (bash) is running, the
> cygwin.dll is locked.  So you can get updates to programs like rm that need
> that new cygwin.dll so everytime you run rm, you get this "missing blah
> ..could nto be found in cygwin1.dll".
>
> But you are hooped because setup.exe assumes that everything works (like rm)
> so if you try to reinstall with setup.exe, you are stuck.
>
> My fix was to exit out of all cygwin programs and in cmd, go looking for the
> cygwin1.dll (assuming c: drive)
>
> dir c:\cygwin\bin\cygwin1.dll*
>
> you should find a cygwin1.dll and a cygwin1.dll.new - move the cygwin1.dll
> to cygwin1.dll.old and cygwin1.dll.new to cygwin1.dll.  If you see any other
> .new files, you might want to do the same.
>
> Then I reinstalled using setup.exe all the cygwin tools again (core, etc) so
> that everything could run to completion successfully.
>
> If you don't find the cygwin1.dll.new file, then my problem was not your
> problem (MPNYP).
>
> Larrie.

Thanks for the response, but it doesn't seem to be the same problem. 
I do not have any .new files in c:\cygwin\bin.  I've tried
re-downloading and re-installing the the core (making sure I'm not
using the shell at the same time), but still have the problem.

Tim

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/